using Avalonia;
using Avalonia.Controls.ApplicationLifetimes;
using Avalonia.Markup.Xaml;
using StarsAssistant.ViewModels;
using StarsAssistant.Views;
using Splat;

namespace StarsAssistant;

public partial class App : Application
{
    public override void Initialize()
    {
        AvaloniaXamlLoader.Load(this);
    }

    public override void OnFrameworkInitializationCompleted()
    {
        if (ApplicationLifetime is IClassicDesktopStyleApplicationLifetime desktop)
        {
            desktop.MainWindow = new MainWindow
            {
                DataContext = new MainWindowViewModel(),
            };
        }

        var csvloader = Locator.Current.GetService<Services.CSVDataLoader>()!;
        csvloader.StartPlanetCSVWatcher();

        base.OnFrameworkInitializationCompleted();
    }
}